Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.lighting
Interface Light

All Known Subinterfaces:
  SurfaceLight

All Known Implementing Classes:
  AmbientLight, DirectionalAmbientLight, PointLight, PointLightGrid, RectangularLight, Sphere, SphericalLight

    public interface Light

A Light implmentation provides lighting information used for rendering. The intensity and color of the Light may by specified.

Author:
  Mike Murray.

Field Summary
`static boolean` | `castShadows`

Method Summary
`RGB` | `getColor()` Returns the color of this Light object as an RGB object.
`RGB` | `getColorAt(Vector point)` Returns the color of the light represented by this Light object at the specified point as an RGB object.
`double` | `getIntensity()` Returns the intensity of this Light object as a double value.
`void` | `setColor(RGB color)` Sets the color of this Light object to the color represented by the specified RGB object.
`void` | `setIntensity(double intensity)` Sets the intensity of this Light object.

Field Detail

### castShadows

    static final boolean castShadows

See Also:
  Constant Field Values

Method Detail

### setIntensity

    void setIntensity(double intensity)

  Sets the intensity of this Light object.

### setColor

    void setColor(RGB color)

  Sets the color of this Light object to the color represented by the specified RGB object.

### getIntensity

    double getIntensity()

  Returns the intensity of this Light object as a double value.

### getColor

    RGB getColor()

  Returns the color of this Light object as an RGB object.

### getColorAt

    RGB getColorAt(Vector point)

  Returns the color of the light represented by this Light object at the specified point as an RGB object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD